### Function

# Vips check_vector

#### Declaration [src]

    int
    vips_check_vector (
      const char* domain,
      int n,
      VipsImage* im
    )

#### Description [src]

Operations with a vector constant need a 1-element vector, or a vector with the same number of elements as there are bands in the image, or a 1-band image and a many-element vector.

See also

`vips_error()`.

#### Parameters

`domain`

  Type: `const char*`

  The originating domain for the error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`n`

  Type: `int`

  Number of elements in vector.

`im`

  Type: `VipsImage`

  Image to check against.

  The data is owned by the caller of the function.

#### Return value

Type: `int`

0 if OK, -1 otherwise.